## ros-kinetic-rostune 1.0.7

=== CMakeLists.txt ===
cmake_policy(VERSION 2.8.12)
cmake_minimum_required(VERSION 2.8.12)
project(rostune)

## Add support for C++11, supported in ROS Kinetic and newer
add_definitions(-std=c++11)


find_package(catkin REQUIRED COMPONENTS std_msgs genmsg topic_tools)

add_message_files(DIRECTORY msg FILES SingleNodeStats.msg MultipleNodeStats.msg SingleTopicStats.msg MultipleTopicStats.msg)

generate_messages(DEPENDENCIES std_msgs)

catkin_package( CATKIN_DEPENDS message_runtime )

include_directories(include ${catkin_INCLUDE_DIRS})

add_executable(rostune src/main.cpp src/nodestats.cpp src/topicstats.cpp)
add_dependencies(rostune rostune_generate_messages_cpp)
target_link_libraries(rostune ${catkin_LIBRARIES})

=== debian/changelog ===
ros-kinetic-rostune (1.0.7-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- George Stavrinos <gstavrinos@iit.demokritos.gr>  Wed, 01 Nov 2017 09:39:32 -0000

ros-kinetic-rostune (1.0.6-0xenial) xenial; urgency=high

  * Updated package info
  * Package bugtracker fix
  * Package website fix
  * Contributors: George Stavrinos

 -- George Stavrinos <gstavrinos@iit.demokritos.gr>  Tue, 31 Oct 2017 22:00:00 -0000

ros-kinetic-rostune (1.0.5-0xenial) xenial; urgency=high

  * Hopefully fixed dependency issues for all platforms
  * Contributors: George Stavrinos

 -- George Stavrinos <gstavrinos@iit.demokritos.gr>  Mon, 10 Jul 2017 21:00:00 -0000

ros-kinetic-rostune (1.0.3-0xenial) xenial; urgency=high

  * Added a dependency that was removed by mistake
  * Contributors: George Stavrinos

 -- George Stavrinos <gstavrinos@iit.demokritos.gr>  Mon, 10 Jul 2017 21:00:00 -0000

ros-kinetic-rostune (1.0.2-0xenial) xenial; urgency=high

  * Fixed dependencies
  * Contributors: George Stavrinos

 -- George Stavrinos <gstavrinos@iit.demokritos.gr>  Mon, 10 Jul 2017 21:00:00 -0000

ros-kinetic-rostune (1.0.1-0xenial) xenial; urgency=high

  * Release 1.0.0
  * Fixed the mighty python nodes bug! yay!
  * Fixed topic stats
  * Each machine checks only for its own nodes, nodestats includes percentages.
  * Added information about overall stats
  * Statistics for all topics working. Now we need to filter them, based on the publisher.
  * CPU usage and memory stats
    Unix-related code to get CPU usage and memory stats.
    Checking with master node to update list of nodes.
    Sample logger that just writes to ROSINFO.
  * Contributors: George Stavrinos, Stasinos Konstantopoulos

 -- George Stavrinos <gstavrinos@iit.demokritos.gr>  Mon, 10 Jul 2017 21:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rostune
Section: misc
Priority: extra
Maintainer: George Stavrinos <gstavrinos@iit.demokritos.gr>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-std-msgs, ros-kinetic-topic-tools
Homepage: http://wiki.ros.org/rostune
Standards-Version: 3.9.2

Package: ros-kinetic-rostune
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-std-msgs, ros-kinetic-topic-tools
Description: rostune is a tool that helps ROS developers distribute their nodes in the most effective way.
 It collects statistics for topics and nodes, such as CPU and network usage.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rostune//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
